Bug 537308 - samba: add share resource fail if add share resource then delete it and again add share resource with same resource name
samba: add share resource fail if add share resource then delete it and again...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Configuration (Show other bugs)
1.4
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
: SubBug
Depends On:
Blocks: RHQ_Config rhq_triage
  Show dependency treegraph
 
Reported: 2009-11-13 00:42 EST by Rajan Timaniya
Modified: 2014-05-16 09:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 09:54:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajan Timaniya 2009-11-13 00:42:10 EST
Description of problem:
samba: add share resource fail if add share resource then delete it and again add share resource with same resource name

Version-Release number of selected component (if applicable):
version: 1.4.0-SNAPSHOT

How reproducible:


Steps to Reproduce:
1. Log in to imanage
2. Click on Overview and then Dashboard
3. Click on 'Samba Server' under the 'Recently Added  
     Resources'
4. Click on 'INVENTORY' and select the option 
    'OVERVIEW'
5. In 'Child Resources' there is selection box to select 
     '- Samba Share' or 'Services'. Select '- Samba Share' 
     and click on 'OK' button
6. To create new samba share, input given below 
     values and then click on 'SUBMIT' button
     Resource Name: myshare
     Name: myshare
     Path: /tmp/myshare
     Comment: myshare
7. Delete share resource 'myshare'
8. Create new samba share with 'Resource Name: myshare' and 'name: myshare'
  
Actual results:
add resource fail with following exception
An Augeas node already exists with path /files/etc/samba/smb.conf/target[.='myshare']

Expected results:
samba share resource should be create with resource name which has been deleted.

Additional info:
Comment 1 wes hayutin 2010-02-16 11:51:40 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 11:57:56 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Corey Welton 2010-10-05 09:08:11 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.